<template>
    <el-dialog
      v-dialogDrag
      :title="title"
      :visible.sync="open"
      width="800px"
      append-to-body
      v-if="open"
    >


    <el-tabs v-model="activeName"  type="border-card" @tab-click="handleClick">
      <el-tab-pane label="基础信息" name="first">
          <fisrt :detailData="detailData" :readParams="readParams"></fisrt>
      </el-tab-pane>
    </el-tabs>

    </el-dialog>
  </template>

  <script>
      import fisrt from "./tabs_first.vue"

  export default {
      components:{
          fisrt,
      },
    data() {
      return {
        data:[],
          activeName:"first",
          size:"",
        open: false,
        form: {},
        rules: [],
      };
    },
    props: {
      detailData:{
        type:Object,
      },
      title: {
        type: String,
        default: "详情",
      },
      // readParams有3成员变量,pageNum,pageSize和teamId
      readParams:{
        type:Object
      }
    },
    created(){
    },
    methods: {


      handleClick(tab, event) {
          console.log(tab, event);
        },
      submitForm() {
        this.open = false;
        this.$emit("ok");
      },
    },
  };
  </script>

  <style></style>
